Update a gig role invitation
Partial update: only the fields sent change.
Path Parameters
- Type: stringFormat: uuididrequired
Gig role invitation id.
Body·
required
application/json
Any subset of writable fields. At least one is required. Unknown or read-only fields are rejected.
- Type: string | nullemail
_sent _at - Type: string | nullFormat: uuidgig
_role _id References gig_roles.id.
- Type: string | nullnotes
- Type: string | nullFormat: uuidstaff
_member _id References staff_members.id.
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for patch/gig-role-invitations/{id}
curl https://api.hireorpheus.com/api/v1/gig-role-invitations/123e4567-e89b-12d3-a456-426614174000 \
--request PATCH \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"gig_role_id": null,
"staff_member_id": null,
"email_sent_at": null,
"notes": null
}'
{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"gig_role_id": null,
"staff_member_id": null,
"invitation_number": null,
"invited_at": null,
"email_sent_at": null,
"responded_at": null,
"response": null,
"notes": null,
"created_time": "2026-10-14T08:02:53.591Z",
"last_edited_time": "2026-10-14T08:02:53.591Z"
}
}